Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Var_Array_SArg_Traits_T< T, T_slice, T_var, T_out, T_forany > Struct Template Reference

Argument traits of variable size element array. More...

`#include <Var_Array_SArgument_T.h>`

List of all members.

## Public Types
typedef T_slice * | ret_type
typedef const T | in_type
typedef T | inout_type
typedef T_out | out_type
typedef In_Var_Array_SArgument_T< T, T_forany > | in_arg_val
typedef Inout_Var_Array_SArgument_T< T, T_forany > | inout_arg_val
typedef Out_Var_Array_SArgument_T< T_slice, T_var, T_forany > | out_arg_val
typedef Ret_Var_Array_SArgument_T< T_slice, T_var, T_forany > | ret_val

## Detailed Description

### template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany>
struct TAO::Var_Array_SArg_Traits_T< T, T_slice, T_var, T_out, T_forany >

Argument traits of variable size element array.

## Member Typedef Documentation

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany>
typedef In_Var_Array_SArgument_T<T,T_forany> TAO::Var_Array_SArg_Traits_T< T, T_slice, T_var, T_out, T_forany >::in_arg_val

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany>
typedef const T TAO::Var_Array_SArg_Traits_T< T, T_slice, T_var, T_out, T_forany >::in_type

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany>
typedef Inout_Var_Array_SArgument_T<T,T_forany> TAO::Var_Array_SArg_Traits_T< T, T_slice, T_var, T_out, T_forany >::inout_arg_val

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany>
typedef T TAO::Var_Array_SArg_Traits_T< T, T_slice, T_var, T_out, T_forany >::inout_type

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany>
typedef Out_Var_Array_SArgument_T<T_slice, T_var, T_forany> TAO::Var_Array_SArg_Traits_T< T, T_slice, T_var, T_out, T_forany >::out_arg_val

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany>
typedef T_out TAO::Var_Array_SArg_Traits_T< T, T_slice, T_var, T_out, T_forany >::out_type

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany>
typedef T_slice* TAO::Var_Array_SArg_Traits_T< T, T_slice, T_var, T_out, T_forany >::ret_type

template<typename T, typename T_slice, typename T_var, typename T_out, typename T_forany>
typedef Ret_Var_Array_SArgument_T<T_slice, T_var, T_forany> TAO::Var_Array_SArg_Traits_T< T, T_slice, T_var, T_out, T_forany >::ret_val

The documentation for this struct was generated from the following file:

- Var_Array_SArgument_T.h